Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jboss.subsystem
Class AbstractAddIndexStorage

    java.lang.Object
      org.jboss.as.controller.AbstractAddStepHandler
          org.modeshape.jboss.subsystem.AbstractAddIndexStorage

All Implemented Interfaces:
  org.jboss.as.controller.OperationStepHandler

Direct Known Subclasses:
  AbstractAddFileSystemIndexStorage, AddCacheIndexStorage, AddCustomIndexStorage, AddRamIndexStorage

    public abstract class AbstractAddIndexStorage

extends org.jboss.as.controller.AbstractAddStepHandler

Field Summary
`protected static String` | `DATA_DIR_VARIABLE`

Constructor Summary
`protected` | `AbstractAddIndexStorage()`

Method Summary
`protected void` | `addControllersAndDependencies(String repositoryName, IndexStorageService service, List<org.jboss.msc.service.ServiceController<?>> newControllers, org.jboss.msc.service.ServiceTarget target)`
`protected void` | `performRuntime(org.jboss.as.controller.OperationContext context, org.jboss.dmr.ModelNode operation, org.jboss.dmr.ModelNode storage, org.jboss.as.controller.ServiceVerificationHandler verificationHandler, List<org.jboss.msc.service.ServiceController<?>> newControllers)`
`protected void` | `populateModel(org.jboss.dmr.ModelNode operation, org.jboss.dmr.ModelNode model)`
`protected void` | `writeIndexingBackendConfiguration(org.jboss.as.controller.OperationContext context, org.jboss.dmr.ModelNode storage, EditableDocument backend)`
`protected void` | `writeIndexingConfiguration(org.jboss.as.controller.OperationContext context, org.jboss.dmr.ModelNode storage, EditableDocument indexing)`
`protected abstract void` | `writeIndexStorageConfiguration(org.jboss.as.controller.OperationContext context, org.jboss.dmr.ModelNode storage, EditableDocument indexStorage)`

Methods inherited from class org.jboss.as.controller.AbstractAddStepHandler
`execute, populateModel, populateModel, requiresRuntime, requiresRuntimeVerification, rollbackRuntime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATA_DIR_VARIABLE

    protected static final String DATA_DIR_VARIABLE

See Also:
  Constant Field Values

Constructor Detail

### AbstractAddIndexStorage

    protected AbstractAddIndexStorage()

Method Detail

### populateModel

    protected void populateModel(org.jboss.dmr.ModelNode operation,
                                 org.jboss.dmr.ModelNode model)
                          throws org.jboss.as.controller.OperationFailedException

  Specified by:
    `populateModel` in class `org.jboss.as.controller.AbstractAddStepHandler`
  Throws:
    `org.jboss.as.controller.OperationFailedException`

### performRuntime

    protected void performRuntime(org.jboss.as.controller.OperationContext context,
                                  org.jboss.dmr.ModelNode operation,
                                  org.jboss.dmr.ModelNode storage,
                                  org.jboss.as.controller.ServiceVerificationHandler verificationHandler,
                                  List<org.jboss.msc.service.ServiceController<?>> newControllers)
                           throws org.jboss.as.controller.OperationFailedException

  Overrides:
    `performRuntime` in class `org.jboss.as.controller.AbstractAddStepHandler`
  Throws:
    `org.jboss.as.controller.OperationFailedException`

### writeIndexStorageConfiguration

    protected abstract void writeIndexStorageConfiguration(org.jboss.as.controller.OperationContext context,
                                                           org.jboss.dmr.ModelNode storage,
                                                           EditableDocument indexStorage)
                                                    throws org.jboss.as.controller.OperationFailedException

  Throws:
    `org.jboss.as.controller.OperationFailedException`

### writeIndexingConfiguration

    protected void writeIndexingConfiguration(org.jboss.as.controller.OperationContext context,
                                              org.jboss.dmr.ModelNode storage,
                                              EditableDocument indexing)
                                       throws org.jboss.as.controller.OperationFailedException

  Throws:
    `org.jboss.as.controller.OperationFailedException`

### writeIndexingBackendConfiguration

    protected void writeIndexingBackendConfiguration(org.jboss.as.controller.OperationContext context,
                                                     org.jboss.dmr.ModelNode storage,
                                                     EditableDocument backend)
                                              throws org.jboss.as.controller.OperationFailedException

  Throws:
    `org.jboss.as.controller.OperationFailedException`

### addControllersAndDependencies

    protected void addControllersAndDependencies(String repositoryName,
                                                 IndexStorageService service,
                                                 List<org.jboss.msc.service.ServiceController<?>> newControllers,
                                                 org.jboss.msc.service.ServiceTarget target)
                                          throws org.jboss.as.controller.OperationFailedException

  Throws:
    `org.jboss.as.controller.OperationFailedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.